## org.gnu.gdk
Class EventMask

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.EventMask

public class EventMask
extends Flags

A set of bit flags to indicate which events a window is to receive.

Field Summary
`static EventMask` `ALL_EVENTS_MASK`
`static EventMask` `BUTTON_MOTION_MASK`
`static EventMask` `BUTTON_PRESS_MASK`
`static EventMask` `BUTTON_RELEASE_MASK`
`static EventMask` `BUTTON1_MOTION_MASK`
`static EventMask` `BUTTON2_MOTION_MASK`
`static EventMask` `BUTTON3_MOTION_MASK`
`static EventMask` `ENTER_NOTIFY_MASK`
`static EventMask` `EXPOSURE_MASK`
`static EventMask` `FOCUS_CHANGE_MASK`
`static EventMask` `KEY_PRESS_MASK`
`static EventMask` `KEY_RELEASE_MASK`
`static EventMask` `LEAVE_NOTIFY_MASK`
`static EventMask` `POINTER_MOTION_HINT_MASK`
`static EventMask` `POINTER_MOTION_MASK`
`static EventMask` `PROPERTY_CHANGE_MASK`
`static EventMask` `PROXIMITY_IN_MASK`
`static EventMask` `PROXIMITY_OUT_MASK`
`static EventMask` `SCROLL_MASK`
`static EventMask` `STRUCTURE_MASK`
`static EventMask` `SUBSTRUCTURE_MASK`
`static EventMask` `VISIBILITY_NOTIFY_MASK`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`EventMask` `and(EventMask other)`
`static EventMask` `intern(int value)`
`EventMask` `or(EventMask other)`
`boolean` `test(EventMask other)`
`EventMask` `xor(EventMask other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPOSURE_MASK

    public static final EventMask EXPOSURE_MASK

### POINTER_MOTION_MASK

    public static final EventMask POINTER_MOTION_MASK

### POINTER_MOTION_HINT_MASK

    public static final EventMask POINTER_MOTION_HINT_MASK

### BUTTON_MOTION_MASK

    public static final EventMask BUTTON_MOTION_MASK

### BUTTON1_MOTION_MASK

    public static final EventMask BUTTON1_MOTION_MASK

### BUTTON2_MOTION_MASK

    public static final EventMask BUTTON2_MOTION_MASK

### BUTTON3_MOTION_MASK

    public static final EventMask BUTTON3_MOTION_MASK

### BUTTON_PRESS_MASK

    public static final EventMask BUTTON_PRESS_MASK

### BUTTON_RELEASE_MASK

    public static final EventMask BUTTON_RELEASE_MASK

### KEY_PRESS_MASK

    public static final EventMask KEY_PRESS_MASK

### KEY_RELEASE_MASK

    public static final EventMask KEY_RELEASE_MASK

### ENTER_NOTIFY_MASK

    public static final EventMask ENTER_NOTIFY_MASK

### LEAVE_NOTIFY_MASK

    public static final EventMask LEAVE_NOTIFY_MASK

### FOCUS_CHANGE_MASK

    public static final EventMask FOCUS_CHANGE_MASK

### STRUCTURE_MASK

    public static final EventMask STRUCTURE_MASK

### PROPERTY_CHANGE_MASK

    public static final EventMask PROPERTY_CHANGE_MASK

### VISIBILITY_NOTIFY_MASK

    public static final EventMask VISIBILITY_NOTIFY_MASK

### PROXIMITY_IN_MASK

    public static final EventMask PROXIMITY_IN_MASK

### PROXIMITY_OUT_MASK

    public static final EventMask PROXIMITY_OUT_MASK

### SUBSTRUCTURE_MASK

    public static final EventMask SUBSTRUCTURE_MASK

### SCROLL_MASK

    public static final EventMask SCROLL_MASK

### ALL_EVENTS_MASK

    public static final EventMask ALL_EVENTS_MASK

Method Detail

### intern

    public static EventMask intern(int value)

### or

    public EventMask or(EventMask other)

### and

    public EventMask and(EventMask other)

### xor

    public EventMask xor(EventMask other)

### test

    public boolean test(EventMask other)